#!/usr/bin/env perl

# Some tests for 'darcs pull' 

use Test::More qw/no_plan/;
use strict;
use vars qw/$DARCS/;
$DARCS = $ENV{DARCS} || "$ENV{PWD}/../darcs";

`rm -rf temp1 temp2`;
`mkdir -p temp1 temp2/one/two`;
chdir 'temp1';
`$DARCS init`;
chdir '../temp2';
`$DARCS init`;
chdir 'one/two';

###

my $test_name = 'darcs pull should work relative to the current directory';
my $pull_out = `$DARCS pull -a ../../templ 2>&1`;
unlike($pull_out, qr/fail.*no such/i, $test_name);

###

my $test_name = 'darcs pull should pull into repo specified with --repo';
chdir '../../';  # now in temp2
`$DARCS add one`;
`$DARCS record --patch-name 'uno' --all --author foo\@bar`;
chdir '../';     # now outside of any repo
like(`$DARCS pull --repodir temp1 --all ../temp2`, # temp2 is relative to temp1
	qr/Finished pulling./i, $test_name);

###

ok(-d 'temp1', "temp1 exists here");
`rm -rf temp1`;
ok((!-d 'temp1'), 'temp1 directory was deleted');

ok(-d 'temp2', "temp1 exists here");
`rm -rf temp2`;
ok((!-d 'temp2'), 'temp1 directory was deleted');




